Class | Socket
In: | socket/socket.c
Parent: | BasicSocket

### Methods

accept bind connect getaddrinfo gethostbyaddr gethostbyname gethostname getnameinfo getservbyname listen new pack_sockaddr_in pack_sockaddr_un pair recvfrom sockaddr_in sockaddr_un socketpair sysaccept unpack_sockaddr_in unpack_sockaddr_un

### Classes and Modules

Module Socket::Constants

### Public Class methods

getaddrinfo(...)
gethostbyaddr(...)
gethostbyname(p1)
gethostname()
getnameinfo(...)
getservbyname(...)
new(p1, p2, p3)
pack_sockaddr_in(p1, p2)
pack_sockaddr_un(p1)
pair(p1, p2, p3)
sockaddr_in(p1, p2)
sockaddr_un(p1)
socketpair(p1, p2, p3)
unpack_sockaddr_in(p1)
unpack_sockaddr_un(p1)

### Public Instance methods

accept()
bind(p1)
connect(p1)
listen(p1)
recvfrom(...)
sysaccept()

[Validate]